Last modified: 2013-06-23 06:20:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39599 - VisualEditor: Support references
VisualEditor: Support references
Status: RESOLVED FIXED
Product: VisualEditor
Classification: Unclassified
General (Other open bugs)
unspecified
All All
: Highest enhancement
: VE-deploy-2013-06-27
Assigned To: James Forrester
:
Depends on: 45062
Blocks: 39621 45132 ve-plugins-to-create 39600 48426
  Show dependency treegraph
 
Reported: 2012-08-23 22:42 UTC by James Forrester
Modified: 2013-06-23 06:20 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description James Forrester 2012-08-23 22:42:53 UTC

    
Comment 1 John Broughton 2013-05-07 20:25:27 UTC
VisualEditor must be able to handle grouped footnotes ( as discussed here: http://en.wikipedia.org/wiki/Help:Footnotes#Grouping_footnotes ) - at least, not breaking these. It also must be able to handle articles where the text for footnote is placed in the References section rather than in the body of the article - see, for example, http://en.wikipedia.org/wiki/Pope_Francis#References .
Comment 2 James Forrester 2013-05-07 20:38:08 UTC
(In reply to comment #1)
> VisualEditor must be able to handle grouped footnotes ( as discussed here:
> http://en.wikipedia.org/wiki/Help:Footnotes#Grouping_footnotes ) - at least,
> not breaking these.

I agree. In fact, you and I have discussed this several times, and each time I've told you that we're working on it, and that we won't go "live" for the beta without it. :-)

> It also must be able to handle articles where the text
> for
> footnote is placed in the References section rather than in the body of the
> article - see, for example,
> http://en.wikipedia.org/wiki/Pope_Francis#References .

Ugly hacks for wikitext like this are one of the exact reasons that cause us to want everyone to use the VisualEditor.
Comment 3 Gerrit Notification Bot 2013-06-23 03:30:50 UTC
Related URL: https://gerrit.wikimedia.org/r/70031 (Gerrit Change I1551ddaa3d52c4827c7dcac2a02e31859769890a)
Comment 4 James Forrester 2013-06-23 06:20:42 UTC
Fixed in master and very soon in production.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links